- name: Reboot if kernel configuration updated
  become: yes
  reboot:
    msg: "Reboot initiated by Ansible for kernel updates"
    connect_timeout: 5
    reboot_timeout: 300
    pre_reboot_delay: 60 # we wait the previous host recovered
    post_reboot_delay: 30
    test_command: uptime
  listen: reboot